Show: Inherited Protected Private Deprecated

# ButtonOrderedList Class

Uses:

- ButtonCommand
- ButtonStateClasses
- ButtonStyle

Defined in: `src/ui/react/src/components/buttons/button-ol.jsx:4`

The ButtonOrderedList class provides functionality for creating ordered lists in an editor.

## Index

### Methods

- componentWillMount
- componentWillUnmount
- execCommand
- getDefaultProps
- getStateClasses
- getStyle
- isActive
- render

### Properties

- command
- editor
- key static
- label
- modifiesSelection
- style
- tabIndex

## Methods

### `componentWillMount`

()

Inherited from ButtonStyle: `src/ui/react/src/components/base/button-style.js:21`

Lifecycle. Invoked once, both on the client and server, immediately before the initial rendering occurs.

### `componentWillUnmount`

()

Inherited from ButtonStyle: `src/ui/react/src/components/base/button-style.js:30`

Lifecycle. Invoked immediately before a component is unmounted from the DOM.

### `execCommand`

(

- `data`

)

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:27`

Executes a CKEditor command and fires `actionPerformed` event.

#### Parameters:

- `data` Object=

  Optional data to be passed to CKEDITOR's `execCommand` method.

### `getDefaultProps`

() Object

Defined in `src/ui/react/src/components/buttons/button-ol.jsx:53`

Lifecycle. Returns the default values of the properties used in the widget.

#### Returns:

Object:

The default properties.

### `getStateClasses`

() String

Inherited from ButtonStateClasses: `src/ui/react/src/components/base/button-state-classes.js:15`

Returns the list of state classes associated to the current element's state, according to the results of the isActive and isDisabled methods.

#### Returns:

String:

A string with the state CSS classes.

### `getStyle`

() CKEDITOR.style

Inherited from ButtonStyle: `src/ui/react/src/components/base/button-style.js:39`

Returns instance of CKEDITOR.style which represents the current button style.

#### Returns:

CKEDITOR.style:

The current style representation.

### `isActive`

() Boolean

Inherited from ButtonStyle: `src/ui/react/src/components/base/button-style.js:49`

Checks if style is active in the current selection.

#### Returns:

Boolean:

True if style is active, false otherwise.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-ol.jsx:68`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `command`

String

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:12`

The command that should be executed.

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-ol.jsx:18`

The editor instance where the component is being used.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-ol.jsx:43`

The name which will be used as an alias of the button in the configuration.

Default: ol

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-ol.jsx:25`

The label that should be used for accessibility purposes.

### `modifiesSelection`

Boolean

Inherited from ButtonCommand: `src/ui/react/src/components/base/button-command.js:19`

Indicates that the command may cause the editor to have a different.

### `style`

Object

Inherited from ButtonStyle: `src/ui/react/src/components/base/button-style.js:13`

The style the button should handle as described by http://docs.ckeditor.com/#!/api/CKEDITOR.style

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-ol.jsx:32`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.